Bug 1472863 - Searching for specific organizations/locations broken
Searching for specific organizations/locations broken
Status: VERIFIED
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Search (Show other bugs)
6.3.0
Unspecified Unspecified
unspecified Severity high (vote)
: GA
: --
Assigned To: Ondřej Pražák
Jitendra Yejare
http://projects.theforeman.org/issues...
: Triaged
: 1479885 (view as bug list)
Depends On:
Blocks: 1373844
  Show dependency treegraph
 
Reported: 2017-07-19 10:41 EDT by Jitendra Yejare
Modified: 2017-10-25 09:15 EDT (History)
6 users (show)

See Also:
Fixed In Version: scoped_search-4.1.2
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Foreman Issue Tracker 19707 None None None 2017-07-19 11:05 EDT

  None (edit)
Description Jitendra Yejare 2017-07-19 10:41:41 EDT
If I try to search through subnets with location_id every subnet is returned as long as the location_id actually exists. If I search for a nonexsitent location_id no subnet gets returned.
Also searching for organizations seems to be broken too, because when I enter a location name as organization I get a list of all subnets.


Examples:

Subnet1:
  name: net1-mgmt
  location_id: 8

Subnet2:
  name: net2-mgmt
  location_id: 9


search_string: location_id = 9 and name ~ net%-mgmt

Result: Both Subnets
Expected Result: Subnet2


search_string: location_id = 90 and name ~ net%-mgmt

Result: Nothing
Expected Result: Nothing (this is actually correct)


search_string: organization_id = 9 and name ~ net%-mgmt

Result: Both Subnets
Expected Result: Nothing as organization_id 9 does not exist
Comment 1 Jitendra Yejare 2017-07-19 10:41:45 EDT
Created from redmine issue http://projects.theforeman.org/issues/19707
Comment 4 pm-sat@redhat.com 2017-08-25 12:14:25 EDT
Upstream bug assigned to oprazak@redhat.com
Comment 5 Ondřej Pražák 2017-08-31 07:08:45 EDT
*** Bug 1479885 has been marked as a duplicate of this bug. ***
Comment 6 Jitendra Yejare 2017-10-25 06:04:44 EDT
Verified!

@ Satellite 6.3 snap 21

Steps:
Same as mentioned in Description

Behavior: 
The number of filters in 'Organization Admin' roles in upgraded 6.3 and freshly installed satellite are same.
Comment 7 Jitendra Yejare 2017-10-25 06:14:16 EDT
Sorry I accedently updated this bug instead of https://bugzilla.redhat.com/show_bug.cgi?id=1501414

Moving back to ON_QA.
Comment 8 Jitendra Yejare 2017-10-25 09:15:29 EDT
Verified!

@Satellite 6.3 snap 21

Steps:

Scenario 1:
------------------------

Subnet1:
  name: net1-mgmt
  location_id: 8

Subnet2:
  name: net2-mgmt
  location_id: 9


search_string: location_id = 9

Result: subnet2
Expected Result: Subnet2


search_string: location_id = 90

Result: Nothing
Expected Result: Nothing


search_string: organization_id = 9

Result: Nothing
Expected Result: Nothing


Scenario2:
------------------

1. Created Org Admin role and assigned any taxonomies to it
2. Created user and assigned above Org Admin role to it
3. Login with above Org Admin user
4. Go to Context Switcher, check if 'Manage Organizations' links are available

Result:
Manage Organizations option is not available and manage locations option is available as expected.

Hence changing the state to Veriifed as the results are expected.

Note You need to log in before you can comment on or make changes to this bug.